Create a dataset
POST
/v1/datasetscurl -X POST 'https://api.embodiflow.io/v1/datasets' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"projectId": "00000000-0000-0000-0000-000000000000",
"slug": "string",
"name": "string",
"description": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- projectIdstring (uuid)必填
- slugstring
- namestring必填
- descriptionstring | null
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- slugstring必填
- namestring必填
- descriptionstring | null必填
- datasetTypestring必填
- sourceTypestring必填
- dataSourcestring | null
- consentAttestedone of
- canAttestConsentone of
- metadataSchemastring | null
- statusstring必填
- currentVersionIdstring | null必填
- versionCountnumber
- currentVersionobject
- qualityStatusstring可选值failedwarningerroruncheckedinspectingpassed
- lastQualityInspectionAtstring | null
- recordingStatusobject
- updatedAtstring必填
- createdAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"slug": "string",
"name": "string",
"description": "string",
"datasetType": "string",
"sourceType": "string",
"dataSource": "string",
"consentAttested": false,
"canAttestConsent": false,
"metadataSchema": "string",
"status": "string",
"currentVersionId": "string",
"versionCount": 0,
"currentVersion": {
"id": "string",
"datasetId": "string",
"version": 0,
"versionName": "string",
"description": "string",
"status": "string",
"manifestVersion": 0,
"metadataType": "string",
"codebaseVersion": "string",
"episodeCount": 0,
"lerobotEpisodeCount": 0,
"featureCount": 0,
"fps": 0,
"topicCount": 0,
"frameCount": 0,
"startTimeNs": 0,
"endTimeNs": 0,
"metadataProjectionJson": {},
"contractVersion": "string",
"provenanceCompleteness": "missing",
"featureKeys": [
"string"
],
"itemCount": 0,
"totalBytes": 0,
"finalizedAt": "string",
"createdAt": "string",
"qualityStatus": "failed",
"visibilityStatus": "active",
"splitStrategy": "string",
"splitConfigJson": {},
"operationFacts": {
"contractVersion": "embodiflow-recording-operation-facts/v1",
"observedAt": "string",
"processing": {
"anyActive": false,
"upload": {
"activeCount": 0,
"status": "string",
"uploadBatchId": "string"
},
"workflow": {
"activeCount": 0,
"status": "queued",
"workflowRunId": "string"
},
"quality": {
"activeCount": 0,
"status": "failed",
"workflowRunId": "string"
}
},
"health": {
"status": "unknown",
"primaryBlockerCode": "string",
"openRepairCount": 0,
"observedAt": "string",
"stale": false
},
"playback": {
"artifactAvailable": false,
"reasonCode": "string"
},
"lastMeaningfulActivityAt": "string"
}
},
"qualityStatus": "failed",
"lastQualityInspectionAt": "string",
"recordingStatus": {
"lifecycle": "failed",
"quality": "warn",
"qualityCheckId": "string",
"qualityVerdict": "warning",
"stepId": "string",
"stepWaitReason": "string",
"noProgressSince": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"runId": "string",
"processingRefused": {
"code": "string"
}
},
"updatedAt": "string",
"createdAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1